
Foreman - Bug #1296

Parsing puppet classes fails in certain cases

11/04/2011 03:14 PM - Tray Torrance

Status: Duplicate   

Priority: Normal   

Assignee: Tray Torrance   

Category: Puppet integration   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I use many parameterized classes, but tend to set default values so that the classes can be used in a non-parameterized fashion.

For one class (puppet::configure), I utilized line-wrapping to spread the parameters over multiple lines, and enhance readability. This

causes foreman to no longer parse that class as valid.

Example class is attached.

Related issues:

Is duplicate of Foreman - Bug #1299: foreman don't cut the () from puppet cla... Closed 11/07/2011

History

#1 - 11/08/2011 01:14 PM - Ohad Levy

- Target version set to 0.4

#2 - 11/08/2011 01:16 PM - Ohad Levy

- Status changed from New to Duplicate

Files

configure.pp 1.5 KB 11/04/2011 Tray Torrance
